﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Entidades.Contacto
{
    /// <summary>
    /// Clase para el almacenamiento de la entidad Contacto y sus respectivos atributos.
    /// </summary>
    public class EContacto
    {
        #region variables y propiedades

        private Int32 id;
        /// <summary>
        /// numero identificador unico del contacto
        /// </summary>
        public Int32 Id
        {
            get { return id; }
            set { id = value; }
        }

        private string uuid;
        /// <summary>
        /// string de 36 caracteres, identificador unico del contacto
        /// </summary>
        public string Uuid
        {
            get { return uuid; }
            set { uuid = value; }
        }

        private string identificacion;
        /// <summary>
        /// Numero de cedula, pasaporte o NIT del contacto
        /// </summary>
        public string Identificacion
        {
            get { return identificacion; }
            set { identificacion = value; }
        }

        private string primer_nombre;
        /// <summary>
        /// Primer nombre del contacto
        /// </summary>
        public string PrimerNombre
        {
            get { return primer_nombre; }
            set { primer_nombre = value; }
        }

        private string segundo_nombre;
        /// <summary>
        /// Segundo nombre del contacto
        /// </summary>
        public string SegundoNombre
        {
            get { return segundo_nombre; }
            set { segundo_nombre = value; }
        }

        private string primer_apellido;
        /// <summary>
        /// Primer apellido o apellido paterno
        /// </summary>
        public string PrimerApellido
        {
            get { return primer_apellido; }
            set { primer_apellido = value; }
        }

        private string segundo_apellido;
        /// <summary>
        /// Segundo apellido o apellido materno
        /// </summary>
        public string SegundoApellido
        {
            get { return segundo_apellido; }
            set { segundo_apellido = value; }
        }

        private string correo;
        /// <summary>
        /// email del contacto
        /// </summary>
        public string Correo
        {
            get { return correo; }
            set { correo = value; }
        }

        private DateTime fecha_creacion;
        /// <summary>
        /// fecha exacta con horas y minutos en la que el contacto fue registrado en la base de datos
        /// </summary>
        public DateTime FechaCreacion
        {
            get { return fecha_creacion; }
            set { fecha_creacion = value; }
        }

        #endregion variables y propiedades
    }
}
