﻿using Entidades.Contacto;
using Negocio.Contacto;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace PresentacionWEB
{
    public partial class CrearContacto : System.Web.UI.Page
    {
        /// <summary>
        /// variable privada que extrae la cadena de conexion del web.config del sitio.
        /// </summary>
        private string cadenaConexion = ConfigurationManager.ConnectionStrings["CadenaDeConexion"].ToString();

        private void IniciarPagina()
        {
            TextBox_Identificacion.Text = string.Empty;
            TextBox_PrimerNombre.Text = string.Empty;
            TextBox_SegundoNombre.Text = string.Empty;
            TextBox_PrimerApellido.Text = string.Empty;
            TextBox_SegundoApellido.Text = string.Empty;
            TextBox_Correo.Text = string.Empty;

            Label_MensajeDeServidor.Text = string.Empty;
        }

        protected void Page_Load(object sender, EventArgs e)
        {
            if (IsPostBack == false)
            {
                IniciarPagina();
            }
        }

        protected void Button_Crear_Click(object sender, EventArgs e)
        {
            EContacto objEContactoCrear = new EContacto();

            objEContactoCrear.Uuid = Guid.NewGuid().ToString();
            objEContactoCrear.Identificacion = TextBox_Identificacion.Text;
            objEContactoCrear.PrimerNombre = TextBox_PrimerNombre.Text;
            objEContactoCrear.SegundoNombre = TextBox_SegundoNombre.Text; ;
            objEContactoCrear.PrimerApellido = TextBox_PrimerApellido.Text;
            objEContactoCrear.SegundoApellido = TextBox_SegundoApellido.Text;
            objEContactoCrear.Correo = TextBox_Correo.Text;

            NContacto objNContacto = new NContacto(cadenaConexion);

            EContacto objEContactoFinal = objNContacto.Crear(objEContactoCrear);

            Label_MensajeDeServidor.Text = string.Empty;

            switch (objNContacto.TipoMensaje)
            {
                case 1:
                    Label_MensajeDeServidor.Text = "El contacto fue creado correctamente, se le asignó el Id: " + objEContactoFinal.Id.ToString() + " y UUID: " + objEContactoFinal.Uuid;
                    Label_MensajeDeServidor.CssClass = "lMensajeServer_ok";

                    TextBox_Identificacion.Text = string.Empty;
                    TextBox_PrimerNombre.Text = string.Empty;
                    TextBox_SegundoNombre.Text = string.Empty;
                    TextBox_PrimerApellido.Text = string.Empty;
                    TextBox_SegundoApellido.Text = string.Empty;
                    TextBox_Correo.Text = string.Empty;
                    break;
                case 2:
                    Label_MensajeDeServidor.Text = objNContacto.Mensaje;
                    Label_MensajeDeServidor.CssClass = "lMensajeServer_adv";

                    TextBox_Identificacion.Text = string.Empty;
                    TextBox_PrimerNombre.Text = string.Empty;
                    TextBox_SegundoNombre.Text = string.Empty;
                    TextBox_PrimerApellido.Text = string.Empty;
                    TextBox_SegundoApellido.Text = string.Empty;
                    TextBox_Correo.Text = string.Empty;
                    break;
                case 3:
                    Label_MensajeDeServidor.Text = objNContacto.Mensaje;
                    Label_MensajeDeServidor.CssClass = "lMensajeServer_error";
                    break;
                case 4:
                    Label_MensajeDeServidor.Text = objNContacto.Mensaje;
                    Label_MensajeDeServidor.CssClass = "lMensajeServer_adv";
                    break;
                default:
                    Label_MensajeDeServidor.Text = string.Empty;
                    break;
            }
        }
    }
}